## NAME

CURLOPT_NOPROGRESS - switch off the progress meter

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_NOPROGRESS, long onoff);

## DESCRIPTION

If onoff is to 1, it tells the library to shut off the progress meter completely for requests done with this handle. It will also prevent the CURLOPT_PROGRESSFUNCTION from getting called.

Future versions of libcurl are likely to not have any built-in progress meter at all.

## DEFAULT

1, meaning it normally runs without a progress meter.

## RETURN VALUE

Returns CURLE_OK.

## SEE ALSO

CURLOPT_PROGRESSFUNCTION

This HTML page was made with roffit.